# Poco

# class AbstractObserver

Library: Foundation
Package: Notifications
Header: Poco/AbstractObserver.h

## Description

The base class for all instantiations of the Observer and NObserver template classes.

## Inheritance

Known Derived Classes: NObserver, Observer

## Member Summary

Member Functions: accepts, backlog, clone, disable, equals, notify, operator =, start

## Constructors

### AbstractObserver

AbstractObserver();

### AbstractObserver

AbstractObserver(
const AbstractObserver & observer
);

## Destructor

### ~AbstractObserver

virtual ~AbstractObserver();

## Member Functions

### accepts

virtual bool accepts(
Notification * pNf,
const char * pName
) const = 0;

### accepts

virtual bool accepts(
const Notification::Ptr & pNf
) const = 0;

### backlog

virtual int backlog() const;

Returns number of queued messages that this Observer has. For non-active (synchronous) observers, always returns zero.

### clone

virtual AbstractObserver * clone() const = 0;

### disable

virtual void disable() = 0;

### equals

virtual bool equals(
const AbstractObserver & observer
) const = 0;

### notify

virtual void notify(
Notification * pNf
) const = 0;

### operator =

AbstractObserver & operator = (
const AbstractObserver & observer
);

### start

virtual void start();

No-op. This method can be implemented by inheriting classes which require explicit start in order to begin processing notifications.